<?php
require_once('../wu_init.php');
require('../wu-functions/wu_watermark.php');

//Отслеживание
$adm = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT id,log_act FROM ".DB_PREFIX."_config LIMIT 1"));

//Допустимые форматы
$valid_types = array('gif', 'jpg', 'png', 'jpeg');
$path = '../../wu-uploads/from-bb/';

if (empty($_FILES['photoimg']['tmp_name'])) { wu_log_act(1, 'Пытался ничего не загрузить в качестве картинки в BB-редакторе'); echo json_encode(array('error'=>'Выберите изображение')); exit; }
$si = getimagesize($_FILES['photoimg']['tmp_name']);
$exts = strtolower(substr($_FILES['photoimg']['name'], 1 + strrpos($_FILES['photoimg']['name'], ".")));
$size = $_FILES['photoimg']['size'];
if($size>(1024*1024)) { $ksize = $size/1024; wu_log_act(1, "Пытался загрузить картинку в BB-редакторе больше 1 Мб (".number_format($ksize, 2, '.', '')." Кб)"); echo json_encode(array('error'=>'Размер изображения более 1 Мб')); exit; }
if (!in_array($exts, $valid_types)) { wu_log_act(2, 'Пытался загрузить в качестве картинки в BB-редакторе '.wu_filter($_FILES['photoimg']['name'])); echo json_encode(array('error'=>'Неверный тип файла')); exit; }
if(!stristr($_FILES['photoimg']['type'], 'image/')) { wu_log_act(2, 'Пытался загрузить в качестве картинки в BB-редакторе '.wu_filter($_FILES['photoimg']['name']).' с MIME типом '.wu_filter($_FILES['photoimg']['type'])); echo json_encode(array('error'=>'Неверный тип файла')); exit; }
if ($si[0] < 1 || $si[1] < 1) { wu_log_act(1, 'Пытался загрузить в качестве картинки в BB-редакторе '.wu_filter($_FILES['photoimg']['name']).', размер картинки менее 100x100 пикселей'); echo json_encode(array('error'=>'Ошибка')); exit; }

//Сохранение изображения
$rand = rand(0,999);
$src_s = $path.$dt.'_'.$rand.'.'.$exts;
$srcs = $dt.'_'.$rand.'.'.$exts;

if (move_uploaded_file($_FILES['photoimg']['tmp_name'], $src_s)) {

//Наложение вотемарка
wu_watermark($src_s);

wu_log_act(1, "Загрузил <a href=\"".PROTOCOL.SITE."/wu-uploads/from-bb/".$srcs."\">картинку</a> в BB-редакторе");

mysqli_query($connect_db, "INSERT INTO `".DB_PREFIX."_uploads` (usr,file,dt) VALUES ('$u_id','$srcs','$dt');");

$site = SITE;
$protocol = PROTOCOL;
echo json_encode(array(
'initialPreview' => array("<div class='lightgallerys'><a href='{$protocol}{$site}/wu-uploads/from-bb/{$srcs}'><img style='height:160px' src='{$protocol}{$site}/wu-uploads/from-bb/{$srcs}' class='file-preview-image' /></a></div>",),
'initialPreviewConfig' => array(array('caption' => "<a href='javascript://' class='btn btn-default' onclick='imgtobb(\"{$protocol}{$site}/wu-uploads/from-bb/{$srcs}\")'>Вставить в запись</a>", 'width' => '120px', 'url' => '{$protocol}{$site}/wu-uploads/from-bb/{$srcs}', 'key' => $srcs),),
'append' => true));
} else {
wu_log_act(1, 'Не смог загрузить картинку в BB-редакторе');
echo json_encode(array('error'=>'Ошибка')); exit; }
?>